Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.deploy
Class FileMessage

    java.lang.Object
      org.apache.catalina.ha.ClusterMessageBase
          org.apache.catalina.ha.deploy.FileMessage

All Implemented Interfaces:
  Serializable, ClusterMessage

    public class FileMessage

extends ClusterMessageBase

Contains the data for a file being transferred over TCP, this is essentially a fragment of a file, read and written by the FileMessageFactory

Version:
  1.0
Author:
  Filip Hanik
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.ha.ClusterMessageBase
`address`

Constructor Summary
`FileMessage(Member source, String fileName, String contextName)`

Method Summary
`String` | `getContextName()`
`byte[]` | `getData()`
`int` | `getDataLength()`
`String` | `getFileName()`
`int` | `getMessageNumber()`
`long` | `getTotalLength()`
`long` | `getTotalNrOfMsgs()`
`String` | `getUniqueId()`
`void` | `setData(byte[] data, int length)`
`void` | `setDataLength(int dataLength)`
`void` | `setFileName(String fileName)`
`void` | `setMessageNumber(int messageNumber)`
`void` | `setTotalLength(long totalLength)`
`void` | `setTotalNrOfMsgs(long totalNrOfMsgs)`

Methods inherited from class org.apache.catalina.ha.ClusterMessageBase
`getAddress, getTimestamp, setAddress, setTimestamp, setUniqueId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileMessage

    public FileMessage(Member source,
                       String fileName,
                       String contextName)

Method Detail

### getMessageNumber

    public int getMessageNumber()

### setMessageNumber

    public void setMessageNumber(int messageNumber)

### getTotalNrOfMsgs

    public long getTotalNrOfMsgs()

### setTotalNrOfMsgs

    public void setTotalNrOfMsgs(long totalNrOfMsgs)

### getData

    public byte[] getData()

### setData

    public void setData(byte[] data,
                        int length)

### getDataLength

    public int getDataLength()

### setDataLength

    public void setDataLength(int dataLength)

### getTotalLength

    public long getTotalLength()

### setTotalLength

    public void setTotalLength(long totalLength)

### getUniqueId

    public String getUniqueId()

  Specified by:
    `getUniqueId` in interface `ClusterMessage`
  Overrides:
    `getUniqueId` in class `ClusterMessageBase`

### getFileName

    public String getFileName()

### setFileName

    public void setFileName(String fileName)

### getContextName

    public String getContextName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.